This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 114614 - "bad: scheduling while atomic!" with USB-to-serial GPS gadget
"bad: scheduling while atomic!" with USB-to-serial GPS gadget
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-30 02:45 EST by Kai 'wusel' Siering
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:02:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Crash when Fortuna U2 is plugged in during boot. (5.59 KB, text/plain; charset=us-ascii)
2004-01-31 06:02 EST, Kai 'wusel' Siering
no flags Details
Test fix (several bugs) (11.01 KB, patch)
2004-03-23 14:42 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Kai 'wusel' Siering 2004-01-30 02:45:47 EST
Description of problem:

Kernel panic ("bad: scheduling while atomic!") when running GPSDrive,
USB-connected GPS receives is "Fortuna U2" (vend/prod 0x67b/0x2303;
using Prolific PL2303 USB to serial adaptor):

Jan 29 23:29:04 luggage  [...network console startup...] 
Jan 29 23:33:13 luggage  usb.c: USB device 2 (vend/prod 0x67b/0x2303)
is not claimed by any active driver. 
Jan 30 01:25:04 luggage  bad: scheduling while atomic!
Jan 30 01:25:04 luggage  ce92bdd8 c0119691 c027e980 c133069c 00000002
00200286 c133069c 00200082  
Jan 30 01:25:04 luggage         00200086 00000000 c0413500 cb052c74
ce92a000 cb052c7c ce92be18 c01085fa  
Jan 30 01:25:04 luggage         00000001 ce92a000 cb052c7c cb052c7c
cb052c1c cb052c74 cb052c00 ffffffea  
Jan 30 01:25:04 luggage  Call Trace:   [<c0119691>] schedule [kernel]
0x4c1 (0xce92bddc) 
Jan 30 01:25:04 luggage  [<c01085fa>] __down [kernel] 0x6a (0xce92be14) 
Jan 30 01:25:04 luggage  [<c0108754>] __down_failed [kernel] 0x8
(0xce92be38) 
Jan 30 01:25:04 luggage  [<d09faaf2>] .text.lock.usbserial [usbserial]
0x41 (0xce92be48) 
Jan 30 01:25:04 luggage  [<c019f3f2>] opost [kernel] 0x22 (0xce92be68) 
Jan 30 01:25:04 luggage  [<c01a0070>] n_tty_receive_buf [kernel] 0x420
(0xce92be8c) 
Jan 30 01:25:04 luggage  [<c02091ef>] sock_def_readable [kernel] 0x5f
(0xce92bec4) 
Jan 30 01:25:04 luggage  [<c0258ed5>] unix_stream_sendmsg [kernel]
0x205 (0xce92bed8) 
Jan 30 01:25:04 luggage  [<d0846a8f>] process_interrupt [usb-uhci]
0x20f (0xce92bf04) 
Jan 30 01:25:04 luggage  [<c01190e1>] scheduler_tick [kernel] 0x291
(0xce92bf28) 
Jan 30 01:25:04 luggage  [<c019eb10>] flush_to_ldisc [kernel] 0xc0
(0xce92bf3c) 
Jan 30 01:25:05 luggage  [<c01221ba>] __run_task_queue [kernel] 0x5a
(0xce92bf58) 
Jan 30 01:25:05 luggage  [<c0125add>] tqueue_bh [kernel] 0x1d
(0xce92bf70) 
Jan 30 01:25:05 luggage  [<c01220f2>] bh_action [kernel] 0x22
(0xce92bf78) 
Jan 30 01:25:05 luggage  [<c0122006>] tasklet_hi_action [kernel] 0x46
(0xce92bf7c) 
Jan 30 01:25:05 luggage  [<c0121e45>] do_softirq [kernel] 0x95
(0xce92bf88) 
Jan 30 01:25:05 luggage  [<c010b36e>] do_IRQ [kernel] 0xbe (0xce92bfa0) 
Jan 30 01:25:05 luggage  [<c010db68>] call_do_IRQ [kernel] 0x5
(0xce92bfc0) 
Jan 30 01:25:05 luggage   
Jan 30 01:25:05 luggage  alloc_skb called nonatomically from interrupt
c0208a76 
Jan 30 01:25:05 luggage  ------------[ cut here ]------------ 
Jan 30 01:25:05 luggage  kernel BUG at skbuff.c:174! 
Jan 30 01:25:05 luggage  invalid operand: 0000 
Jan 30 01:25:05 luggage  pl2303 pl2303.o-orig usbserial ymfpci
ac97_codec uart401 sound soundcore netconsole lp parport ds
yenta_socket pcmcia_core irtty irda autofs rfcomm l2cap blue 
Jan 30 01:25:05 luggage  CPU:    0 
Jan 30 01:25:05 luggage  EIP:    0060:[<c020968d>]    Not tainted 
Jan 30 01:25:05 luggage  EFLAGS: 00210282 
Jan 30 01:25:05 luggage   
Jan 30 01:25:05 luggage  EIP is at alloc_skb [kernel] 0x1ad
(2.4.22-1.2129.nptl+hostap) 
Jan 30 01:25:05 luggage  eax: 0000003a   ebx: 00000000   ecx: 00000001
  edx: cb720000 
Jan 30 01:25:05 luggage  esi: 000001f0   edi: c6477b80   ebp: c6676000
  esp: c6677e90 
Jan 30 01:25:05 luggage  ds: 0068   es: 0068   ss: 0068 
Jan 30 01:25:05 luggage  Process metacity (pid: 1659, stackpage=c6677000) 
Jan 30 01:25:05 luggage  Stack: c0298160 c0208a76 ffffffe0 00000000
c0208a76 000002cc 000001f0 c5d47180  
Jan 30 01:25:05 luggage  < netdump activated - performing handshake
with the client. > 
Jan 30 01:25:29 luggage   
Jan 30 01:25:29 luggage  Pid/TGid: 1659/1659, comm:             metacity 
Jan 30 01:25:29 luggage  EIP: 0060:[<c020968d>] CPU: 0 
Jan 30 01:25:29 luggage  EIP is at alloc_skb [kernel] 0x1ad
(2.4.22-1.2129.nptl+hostap) 
Jan 30 01:25:30 luggage   EFLAGS: 00210282    Not tainted 
Jan 30 01:25:30 luggage  EAX: 0000003a EBX: 00000000 ECX: 00000001
EDX: cb720000 
Jan 30 01:25:30 luggage  ESI: 000001f0 EDI: c6477b80 EBP: c6676000 DS:
0068 ES: 0068 FS: 0000 GS: 0033 
Jan 30 01:25:30 luggage  CR0: 8005003b CR2: bf50a7f4 CR3: 065f3000
CR4: 000006d0 
Jan 30 01:25:30 luggage  Call Trace:   [<c0208a76>]
sock_alloc_send_pskb [kernel] 0xc6 (0xc6677e94) 
Jan 30 01:25:30 luggage  [<c0208a76>] sock_alloc_send_pskb [kernel]
0xc6 (0xc6677ea0) 
Jan 30 01:25:30 luggage  [<c0208b9f>] sock_alloc_send_skb [kernel]
0x2f (0xc6677ec0) 
Jan 30 01:25:30 luggage  [<c0258e00>] unix_stream_sendmsg [kernel]
0x130 (0xc6677ed8) 
Jan 30 01:25:30 luggage  [<c020609b>] sock_sendmsg [kernel] 0x6b
(0xc6677f10) 
Jan 30 01:25:30 luggage  [<c020632e>] sock_write [kernel] 0xae
(0xc6677f54) 
Jan 30 01:25:30 luggage  [<c01439d3>] sys_write [kernel] 0xa3
(0xc6677f94) 
Jan 30 01:25:30 luggage  [<c0109747>] system_call [kernel] 0x33
(0xc6677fc0) 
Jan 30 01:25:30 luggage   
Jan 30 01:25:30 luggage   
Jan 30 01:25:30 luggage                                              
  sibling 
Jan 30 01:25:30 luggage    task             PC      pid father child
younger older 
Jan 30 01:25:30 luggage  init          S 0000086E     1      0     2 
             (NOTLB) 
Jan 30 01:25:30 luggage  Call Trace:   [<c012652d>] schedule_timeout
[kernel] 0x5d (0xc130beec) 
Jan 30 01:25:30 luggage  [<c013bf4c>] __get_free_pages [kernel] 0x1c
(0xc130bef4) 
Jan 30 01:25:30 luggage  [<c0153eb1>] __pollwait [kernel] 0x41
(0xc130bef8) 
Jan 30 01:25:30 luggage  [<c01264c0>] process_timeout [kernel] 0x0
(0xc130bf0c) 
Jan 30 01:25:30 luggage  [<c015412b>] do_select [kernel] 0x10b
(0xc130bf24) 
Jan 30 01:25:30 luggage  [<c01545ce>] sys_select [kernel] 0x34e
(0xc130bf60) 
Jan 30 01:25:30 luggage  [<c014b969>] sys_fstat64 [kernel] 0x49
(0xc130bfa8) 
Jan 30 01:25:30 luggage  [<c0109747>] system_call [kernel] 0x33
(0xc130bfc0) 
Jan 30 01:25:30 luggage   
Jan 30 01:25:30 luggage  keventd       S 00000286     2      1       
     3       (L-TLB) 
Jan 30 01:25:30 luggage  Call Trace:   [<c012c46d>] context_thread
[kernel] 0xed (0xcffa5fa0) 
Jan 30 01:25:30 luggage  [<c012c380>] context_thread [kernel] 0x0
(0xcffa5fc4) 
Jan 30 01:25:30 luggage  [<c012c380>] context_thread [kernel] 0x0
(0xcffa5fe0) 
Jan 30 01:25:30 luggage  [<c010734d>] kernel_thread_helper [kernel]
0x5 (0xcffa5ff0) 
Jan 30 01:25:30 luggage   
Jan 30 01:25:30 luggage  kapmd         S 0000086F     3      1       
     4     2 (L-TLB) 
Jan 30 01:25:30 luggage  65520 pages of RAM 
Jan 30 01:47:46 igor sshd(pam_unix)[3715]: session opened for user
netdump by (uid=34)
Jan 30 01:47:47 igor sshd(pam_unix)[3715]: session closed for user netdump
Jan 30 01:47:48 luggage  [...network console startup...] 
Jan 30 01:49:14 luggage  PCI: Enabling device 00:09.0 (0006 -> 0007) 
root@igor.uu.org:~ # tail -f /var/log/messages
Jan 30 01:25:30 luggage  [<c012c380>] context_thread [kernel] 0x0
(0xcffa5fc4) 
Jan 30 01:25:30 luggage  [<c012c380>] context_thread [kernel] 0x0
(0xcffa5fe0) 
Jan 30 01:25:30 luggage  [<c010734d>] kernel_thread_helper [kernel]
0x5 (0xcffa5ff0) 
Jan 30 01:25:30 luggage   
Jan 30 01:25:30 luggage  kapmd         S 0000086F     3      1       
     4     2 (L-TLB) 
Jan 30 01:25:30 luggage  65520 pages of RAM 
Jan 30 01:47:46 igor sshd(pam_unix)[3715]: session opened for user
netdump by (uid=34)
Jan 30 01:47:47 igor sshd(pam_unix)[3715]: session closed for user netdump
Jan 30 01:47:48 luggage  [...network console startup...] 


If the USB gadget is connected at boot time, the system doens't
even boot:

Jan 30 08:41:21 luggage  [...network console startup...] 
Jan 30 08:41:27 luggage  bad: scheduling while atomic! 
Jan 30 08:41:27 luggage  c0383d94 c0119691 c027e980 4486cd5b 1500c024
0038cdef 00030000 00380000  
Jan 30 08:41:27 luggage         00380000 2d800000 3de2cd5b cf7ac474
c0382000 cf7ac47c c0383dd4 c01085fa  
Jan 30 08:41:27 luggage         00000001 c0382000 cf7ac47c cf7ac47c
cf7ac41c cf7ac474 cf7ac400 ffffffea  
Jan 30 08:41:27 luggage  Call Trace:   [<c0119691>] schedule [kernel]
0x4c1 (0xc0383d98) 
Jan 30 08:41:27 luggage  [<c01085fa>] __down [kernel] 0x6a (0xc0383dd0) 
Jan 30 08:41:27 luggage  [<c0108754>] __down_failed [kernel] 0x8
(0xc0383df4) 
Jan 30 08:41:27 luggage  [<d085cade>] .text.lock.usbserial [usbserial]
0x2d (0xc0383e04) 
Jan 30 08:41:27 luggage  [<c019edad>] tty_default_put_char [kernel]
0x2d (0xc0383e28) 
Jan 30 08:41:27 luggage  [<c019f747>] echo_char [kernel] 0x47
(0xc0383e40) 
Jan 30 08:41:27 luggage  [<c01a0070>] n_tty_receive_buf [kernel] 0x420
(0xc0383e54) 
Jan 30 08:41:27 luggage  [<c01188d0>] recalc_task_prio [kernel] 0x90
(0xc0383e74) 
Jan 30 08:41:27 luggage  [<d0843954>] delete_desc [usb-uhci] 0x24
(0xc0383ed0) 
Jan 30 08:41:27 luggage  [<d0843b66>] delete_qh [usb-uhci] 0x76
(0xc0383ee0) 
Jan 30 08:41:27 luggage  [<c019eb10>] flush_to_ldisc [kernel] 0xc0
(0xc0383f04) 
Jan 30 08:41:27 luggage  [<c01221ba>] __run_task_queue [kernel] 0x5a
(0xc0383f20) 
Jan 30 08:41:27 luggage  [<c0125add>] tqueue_bh [kernel] 0x1d
(0xc0383f38) 
Jan 30 08:41:27 luggage  [<c01220f2>] bh_action [kernel] 0x22
(0xc0383f40) 
Jan 30 08:41:27 luggage  [<c0122006>] tasklet_hi_action [kernel] 0x46
(0xc0383f44) 
Jan 30 08:41:27 luggage  [<c0121e45>] do_softirq [kernel] 0x95
(0xc0383f50) 
Jan 30 08:41:27 luggage  [<c010b36e>] do_IRQ [kernel] 0xbe (0xc0383f68) 
Jan 30 08:41:27 luggage  [<c0115a10>] apm_cpu_idle [kernel] 0x0
(0xc0383f78) 
Jan 30 08:41:27 luggage  [<c010db68>] call_do_IRQ [kernel] 0x5
(0xc0383f88) 
Jan 30 08:41:27 luggage  [<c0115a10>] apm_cpu_idle [kernel] 0x0
(0xc0383f8c) 
Jan 30 08:41:27 luggage  [<c0106fb3>] default_idle [kernel] 0x23
(0xc0383fb4) 
Jan 30 08:41:27 luggage  [<c0115abc>] apm_cpu_idle [kernel] 0xac
(0xc0383fc0) 
Jan 30 08:41:27 luggage  [<c0115a10>] apm_cpu_idle [kernel] 0x0
(0xc0383fc4) 
Jan 30 08:41:27 luggage  [<c0107032>] cpu_idle [kernel] 0x32 (0xc0383fd4) 
Jan 30 08:41:27 luggage  [<c0105000>] stext [kernel] 0x0 (0xc0383fe0) 
Jan 30 08:41:27 luggage   
Jan 30 08:41:27 luggage  Unable to handle kernel NULL pointer
dereference at virtual address 00000000 
Jan 30 08:41:27 luggage   printing eip: 
Jan 30 08:41:27 luggage  c011928c 
Jan 30 08:41:27 luggage  *pde = 0d744067 
Jan 30 08:41:27 luggage  *pte = 00000000 
Jan 30 08:41:27 luggage  Oops: 0002 
Jan 30 08:41:27 luggage  lp parport netconsole prism2_cs ds
yenta_socket pcmcia_core irtty irda autofs rfcomm l2cap bluez
prism2_usb p80211 eepro100 mii ipv6 sg scsi_mod microcode ohc 
Jan 30 08:41:27 luggage  CPU:    0 
Jan 30 08:41:28 luggage  < netdump activated - performing handshake
with the client. > 
[...]


Version-Release number of selected component (if applicable):

   Kernel 2.4.22-1.2129.nptl
   GPSDrive 2.07
   pl2303         from Kernel
   usb-uhci       from Kernel

How reproducible:

Quite often.
   

Steps to Reproduce:
1. Buy said GPS received, plug it in.
2. Start GPSDrive. Kill gpsd after some time -> bang.
3. Or wait a while, it even crashes without user intervention :(
  
Actual results:

Crash.

Expected results:

No crash.

Additional info:
Comment 1 Pete Zaitcev 2004-01-30 14:11:26 EST
Use kernel 2.4.22-1.2149.
Comment 2 Kai 'wusel' Siering 2004-01-30 21:30:14 EST
Well, "cat /dev/ttyUSB0" still crashes the system with current kernel, 
2.4.22-1.2163.nptl, and having the gadget connected at boot time, the
kernel also still crashes:

Jan 31 03:31:22 luggage  [...network console startup...] 
Jan 31 03:31:28 luggage  Unable to handle kernel NULL pointer
dereference at virtual address 00000380 
Jan 31 03:31:28 luggage   printing eip: 
Jan 31 03:31:28 luggage  d085a2c5 
Jan 31 03:31:28 luggage  *pde = 0e213067 
Jan 31 03:31:28 luggage  *pte = 00000000 
Jan 31 03:31:28 luggage  Oops: 0000 
Jan 31 03:31:28 luggage  lp parport netconsole ds yenta_socket
pcmcia_core irtty irda autofs rfcomm l2cap bluez eepro100 mii ipv6 sg
scsi_mod microcode ohci1394 ieee1394 nls_iso8859-1 
Jan 31 03:31:28 luggage  CPU:    0 
Jan 31 03:31:28 luggage  EIP:    0060:[<d085a2c5>]    Not tainted 
Jan 31 03:31:28 luggage  EFLAGS: 00010082 
Jan 31 03:31:28 luggage   
Jan 31 03:31:28 luggage  EIP is at post_helper [usbserial] 0xa5
(2.4.22-1.2163.nptl) 
Jan 31 03:31:28 luggage  eax: 00000006   ebx: 00000282   ecx: cdb4c000
  edx: 0000000b 
Jan 31 03:31:28 luggage  esi: cf9b141c   edi: cdb4c400   ebp: 00000000
  esp: cffa3f68 
Jan 31 03:31:28 luggage  ds: 0068   es: 0068   ss: 0068 
Jan 31 03:31:28 luggage  Process keventd (pid: 2, stackpage=cffa3000) 
Jan 31 03:31:28 luggage  Stack: cdb4c400 00000003 cffa3f9c 00000286
cffa3f90 cffa3f90 cffa2332 cffa2000  
Jan 31 03:31:28 luggage         c012220a 00000000 d085eaa8 d085eaa8
00000001 c027f8d5 c012c4e3 c033ff50  
Jan 31 03:31:28 luggage         cffa3fb0 00000000 00000001 00000000
c1309f94 00010000 00000000 c012c3d0  
Jan 31 03:31:28 luggage  Call Trace:   [<c012220a>] __run_task_queue
[kernel] 0x5a (0xcffa3f88) 
Jan 31 03:31:28 luggage  [<d085eaa8>] post_task [usbserial] 0x0
(0xcffa3f90) 
Jan 31 03:31:28 luggage  [<d085eaa8>] post_task [usbserial] 0x0
(0xcffa3f94) 
Jan 31 03:31:28 luggage  [<c012c4e3>] context_thread [kernel] 0x113
(0xcffa3fa0) 
Jan 31 03:31:28 luggage  [<c012c3d0>] context_thread [kernel] 0x0
(0xcffa3fc4) 
Jan 31 03:31:28 luggage  [<c012c3d0>] context_thread [kernel] 0x0
(0xcffa3fe0) 
Jan 31 03:31:28 luggage  [<c010734d>] kernel_thread_helper [kernel]
0x5 (0xcffa3ff0) 
Jan 31 03:31:28 luggage   
Jan 31 03:31:28 luggage   
Jan 31 03:31:28 luggage  Code: 8b 85 80 03 00 00 48 85 c0 89 85 80 03
00 00 74 1c 8b 3d 34  
Jan 31 03:31:29 luggage  < netdump activated - performing handshake
with the client. > 
Jan 31 03:31:29 igor netdump[3074]: No space for dump image
Jan 31 03:31:29 luggage   
Jan 31 03:31:29 luggage  Pid/TGid: 2/2, comm:              keventd 
Jan 31 03:31:29 luggage  EIP: 0060:[<d085a2c5>] CPU: 0 
Jan 31 03:31:29 luggage  EIP is at post_helper [usbserial] 0xa5
(2.4.22-1.2163.nptl) 
Jan 31 03:31:29 luggage   EFLAGS: 00010082    Not tainted 
Jan 31 03:31:29 luggage  EAX: 00000006 EBX: 00000282 ECX: cdb4c000
EDX: 0000000b 
Jan 31 03:31:29 luggage  ESI: cf9b141c EDI: cdb4c400 EBP: 00000000 DS:
0068 ES: 0068 FS: 0000 GS: 0000 
Jan 31 03:31:29 luggage  CR0: 8005003b CR2: 00000380 CR3: 0db64000
CR4: 000006d0 
Jan 31 03:31:29 luggage  Call Trace:   [<c012220a>] __run_task_queue
[kernel] 0x5a (0xcffa3f88) 
Jan 31 03:31:29 luggage  [<d085eaa8>] post_task [usbserial] 0x0
(0xcffa3f90) 
Jan 31 03:31:29 luggage  [<d085eaa8>] post_task [usbserial] 0x0
(0xcffa3f94) 
Jan 31 03:31:29 luggage  [<c012c4e3>] context_thread [kernel] 0x113
(0xcffa3fa0) 
Jan 31 03:31:29 luggage  [<c012c3d0>] context_thread [kernel] 0x0
(0xcffa3fc4) 
Jan 31 03:31:29 luggage  [<c012c3d0>] context_thread [kernel] 0x0
(0xcffa3fe0) 
Jan 31 03:31:29 luggage  [<c010734d>] kernel_thread_helper [kernel]
0x5 (0xcffa3ff0) 
Jan 31 03:31:29 luggage   
Jan 31 03:31:29 luggage   
Jan 31 03:31:29 luggage                                              
  sibling 
Jan 31 03:31:29 luggage    task             PC      pid father child
younger older 
Jan 31 03:31:29 luggage  init          R BFFC0850     1      0     2 
             (NOTLB) 
Jan 31 03:31:29 luggage  Call Trace:   [<c0108f1f>] setup_sigcontext
[kernel] 0xdf (0xc1309eb8) 
Jan 31 03:31:29 luggage  [<c012657d>] schedule_timeout [kernel] 0x5d
(0xc1309eec) 
Jan 31 03:31:29 luggage  [<c013c56c>] __get_free_pages [kernel] 0x1c
(0xc1309ef4) 
Jan 31 03:31:29 luggage  [<c0154721>] __pollwait [kernel] 0x41
(0xc1309ef8) 
Jan 31 03:31:29 luggage  [<c0126510>] process_timeout [kernel] 0x0
(0xc1309f0c) 
Jan 31 03:31:29 luggage  [<c015499b>] do_select [kernel] 0x10b
(0xc1309f24) 
Jan 31 03:31:29 luggage  [<c0154e3e>] sys_select [kernel] 0x34e
(0xc1309f60) 
Jan 31 03:31:29 luggage  [<c014c109>] sys_fstat64 [kernel] 0x49
(0xc1309fa8) 
Jan 31 03:31:29 luggage  [<c0109747>] system_call [kernel] 0x33
(0xc1309fc0) 
Jan 31 03:31:29 luggage   
Jan 31 03:31:29 luggage  keventd       R current      2      1       
     3       (L-TLB) 
Jan 31 03:31:29 luggage  Call Trace:   [<c016a575>] proc_mkdir_mode
[kernel] 0x55 (0xcffa3f00) 
Jan 31 03:31:29 luggage  [<c0117b10>] do_page_fault [kernel] 0x0
(0xcffa3f20) 
Jan 31 03:31:29 luggage  [<c0109838>] error_code [kernel] 0x34
(0xcffa3f28) 
Jan 31 03:31:29 luggage  [<d085a2c5>] post_helper [usbserial] 0xa5
(0xcffa3f5c) 
Jan 31 03:31:29 luggage  [<c012220a>] __run_task_queue [kernel] 0x5a
(0xcffa3f88) 
Jan 31 03:31:29 luggage  [<d085eaa8>] post_task [usbserial] 0x0
(0xcffa3f90) 
Jan 31 03:31:29 luggage  [<c0207c96>] sys_accept [kernel] 0x86
(0xce773ed4) 
Jan 31 03:31:29 luggage  65520 pages of RAM 


Any idea how to fix it are highly appreciated. Ciao,
-kai
Comment 3 Kai 'wusel' Siering 2004-01-31 06:01:11 EST
Same effect with 2.4.22-1.2149. See Attachment for crash dump when USB
to serial adapter is plugged in doring boot :(

Comment 4 Kai 'wusel' Siering 2004-01-31 06:02:24 EST
Created attachment 97386 [details]
Crash when Fortuna U2 is plugged in during boot.
Comment 5 Kai 'wusel' Siering 2004-02-01 08:56:07 EST
For what it's worth: when Fortuna U2 USB GPS mouse (featuring
Prolific PL2303 USB to serial adaptor) is plugged in at boot,
stock kernel.org 2.4.24 && using usb-uhci crashes with:

Scheduling in interrupt
kernel BUG at sched.c:564!
invalid operand: 0000
[...]



stock kernel 2.4.24 DOES NOT crash under these circumstances when
using uhci (NOT usb-uhci). Will check wheter crashes during utilization
of gpsd will occur with 2.4.24 like they to with FC 1-kernel.
Comment 6 Kai 'wusel' Siering 2004-02-02 04:59:37 EST
Update: problem has disappeared (running kismet, gpsd and gpsdrive dor
20 hours now) by using FC1 installation with stock kernel 2.4.24 and
uhci.o. No problems yet, whereas even stopping gpsdrive or gpsd with
FC-kernel (see above) tended to crash the system about any third to
forth time.

Any ideas, suggestions?
Comment 7 Kai 'wusel' Siering 2004-02-17 21:28:02 EST
Problem also exists on freshly installed FC1 on CPQ Armada E500
running FC-kernel (2.4.22-1.2149.nptl). This sort of suxx :(


Feb 17 10:30:20 roadwarrior syslogd 1.4.1: restart.
Feb 17 10:32:44 roadwarrior su(pam_unix)[23542]: session closed for
user root
Feb 17 10:34:20 roadwarrior kernel: Unable to handle kernel NULL
pointer dereference at virtual address 00000014
Feb 17 10:34:20 roadwarrior kernel:  printing eip:
Feb 17 10:34:20 roadwarrior kernel: c8851744
Feb 17 10:34:20 roadwarrior kernel: *pde = 00000000
Feb 17 10:34:20 roadwarrior kernel: Oops: 0000
Feb 17 10:34:20 roadwarrior kernel: pl2303 usbserial maestro soundcore
ide-cd cdrom parport_pc lp parport autofs rfcomm hostap_cs l2cap
hostap bluez ds yenta_socket pcmcia_core floppy sg scsi_mo
Feb 17 10:34:20 roadwarrior kernel: CPU:    0
Feb 17 10:34:20 roadwarrior kernel: EIP:    0060:[<c8851744>]    Not
tainted
Feb 17 10:34:20 roadwarrior kernel: EFLAGS: 00010006
Feb 17 10:34:20 roadwarrior kernel: 
Feb 17 10:34:20 roadwarrior kernel: EIP is at uhci_reset_interrupt
[uhci] 0x24 (2.4.22-1.2149.nptl)
Feb 17 10:34:20 roadwarrior kernel: eax: c7353600   ebx: c7f52a00  
ecx: c46d0f40   edx: 00000000
Feb 17 10:34:20 roadwarrior kernel: esi: c11eea80   edi: c7f52a00  
ebp: 00000292   esp: c4e79e80
Feb 17 10:34:20 roadwarrior kernel: ds: 0068   es: 0068   ss: 0068
Feb 17 10:34:20 roadwarrior kernel: Process gpsd (pid: 2856,
stackpage=c4e79000)
Feb 17 10:34:20 roadwarrior kernel: Stack: c7f52a00 c11eea80 c5d061f8
00000282 c88524a8 c7f52a00 c7f52a00 00000000 
Feb 17 10:34:20 roadwarrior kernel:        c7f52a04 c05c8800 c05c881c
c05c881c 00000000 c883b4dd c7f52a00 c896147c 
Feb 17 10:34:20 roadwarrior kernel:        c7f52a00 00000000 c4e79edc
c05c881c c05c881c c89596e7 c05c881c c0fe0e80 
Feb 17 10:34:20 roadwarrior kernel: Call Trace:   [<c88524a8>]
uhci_unlink_urb [uhci] 0x138 (0xc4e79e90)
Feb 17 10:34:20 roadwarrior kernel: [<c883b4dd>]
usb_unlink_urb_Rb910aa61 [usbcore] 0x3d (0xc4e79eb4)
Feb 17 10:34:21 roadwarrior kernel: [<c896147c>] pl2303_close [pl2303]
0xec (0xc4e79ebc)
Feb 17 10:34:21 roadwarrior kernel: [<c89596e7>] __serial_close
[usbserial] 0x87 (0xc4e79ed4)
Feb 17 10:34:21 roadwarrior kernel: [<c89597c1>] serial_close
[usbserial] 0xa1 (0xc4e79ee4)
Feb 17 10:34:21 roadwarrior kernel: [<c019d8ae>] release_dev [kernel]
0x5be (0xc4e79f00)
Feb 17 10:34:21 roadwarrior kernel: [<c01a20b8>] set_termios [kernel]
0x138 (0xc4e79f18)
Feb 17 10:34:21 roadwarrior kernel: [<c895a085>] serial_ioctl
[usbserial] 0xe5 (0xc4e79f40)
Feb 17 10:34:21 roadwarrior kernel: [<c019dcff>] tty_release [kernel]
0xf (0xc4e79f74)
Feb 17 10:34:21 roadwarrior kernel: [<c0144862>] fput [kernel] 0x102
(0xc4e79f7c)
Feb 17 10:34:21 roadwarrior kernel: [<c01432fd>] filp_close [kernel]
0x4d (0xc4e79f98)
Feb 17 10:34:22 roadwarrior kernel: [<c014337e>] sys_close [kernel]
0x4e (0xc4e79fb0)
Feb 17 10:34:22 roadwarrior kernel: [<c0109747>] system_call [kernel]
0x33 (0xc4e79fc0)
Feb 17 10:34:22 roadwarrior kernel: 
Feb 17 10:34:22 roadwarrior kernel: 
Feb 17 10:34:22 roadwarrior kernel: Code: 8b 52 14 83 ea 1c 8b 42 04
8b 5a 08 25 00 00 00 2f 0d 00 00 
Feb 17 10:34:45 roadwarrior kernel:  <6>usb.c: USB disconnect on
device 00:07.2-1 address 2
Feb 17 10:34:50 roadwarrior kernel: uhci.c: 3400: host controller
halted. very bad

AND:

Feb 18 03:14:39 roadwarrior gpsd[3366]: Gpsd started (Version 1.06b)
Feb 18 03:14:39 roadwarrior gpsd[3366]: Gpsd listening on port 2947
Feb 18 03:14:44 roadwarrior kernel: device wlan0 entered promiscuous mode
Feb 18 03:14:46 roadwarrior gpsd[3366]: Opened gps
Feb 18 03:15:29 roadwarrior kernel: Unable to handle kernel NULL
pointer dereference at virtual address 00000014
Feb 18 03:15:29 roadwarrior kernel:  printing eip:
Feb 18 03:15:29 roadwarrior kernel: c8851744
Feb 18 03:15:29 roadwarrior kernel: *pde = 00000000
Feb 18 03:15:29 roadwarrior kernel: Oops: 0000
Feb 18 03:15:29 roadwarrior kernel: pl2303 usbserial maestro soundcore
ide-cd cdrom parport_pc lp parport autofs rfcomm l2cap hostap_cs bluez
hostap ds yenta_socket pcmcia_core floppy sg scsi_mo
Feb 18 03:15:29 roadwarrior kernel: CPU:    0
Feb 18 03:15:29 roadwarrior kernel: EIP:    0060:[<c8851744>]    Not
tainted
Feb 18 03:15:29 roadwarrior kernel: EFLAGS: 00010006
Feb 18 03:15:29 roadwarrior kernel: 
Feb 18 03:15:29 roadwarrior kernel: EIP is at uhci_reset_interrupt
[uhci] 0x24 (2.4.22-1.2149.nptl)
Feb 18 03:15:29 roadwarrior kernel: eax: c7341600   ebx: c46dca80  
ecx: c6676200   edx: 00000000
Feb 18 03:15:29 roadwarrior kernel: esi: c11eea80   edi: c46dca80  
ebp: 00000292   esp: c4b6fe80
Feb 18 03:15:29 roadwarrior kernel: ds: 0068   es: 0068   ss: 0068
Feb 18 03:15:29 roadwarrior kernel: Process gpsd (pid: 3366,
stackpage=c4b6f000)
Feb 18 03:15:29 roadwarrior kernel: Stack: c46dca80 c11eea80 c5d06234
00000282 c88524a8 c46dca80 c46dca80 00000000 
Feb 18 03:15:29 roadwarrior kernel:        c46dca84 c566ec00 c566ec1c
c566ec1c 00000000 c883b4dd c46dca80 c896147c 
Feb 18 03:15:29 roadwarrior kernel:        c46dca80 00000000 c4b6fedc
c566ec1c c566ec1c c89596e7 c566ec1c c4656100 
Feb 18 03:15:29 roadwarrior kernel: Call Trace:   [<c88524a8>]
uhci_unlink_urb [uhci] 0x138 (0xc4b6fe90)
Feb 18 03:15:29 roadwarrior kernel: [<c883b4dd>]
usb_unlink_urb_Rb910aa61 [usbcore] 0x3d (0xc4b6feb4)
Feb 18 03:15:29 roadwarrior kernel: [<c896147c>] pl2303_close [pl2303]
0xec (0xc4b6febc)
Feb 18 03:15:29 roadwarrior kernel: [<c89596e7>] __serial_close
[usbserial] 0x87 (0xc4b6fed4)
Feb 18 03:15:29 roadwarrior kernel: [<c89597c1>] serial_close
[usbserial] 0xa1 (0xc4b6fee4)
Feb 18 03:15:29 roadwarrior kernel: [<c019d8ae>] release_dev [kernel]
0x5be (0xc4b6ff00)
Feb 18 03:15:29 roadwarrior kernel: [<c01a20b8>] set_termios [kernel]
0x138 (0xc4b6ff18)
Feb 18 03:15:29 roadwarrior kernel: [<c895a085>] serial_ioctl
[usbserial] 0xe5 (0xc4b6ff40)
Feb 18 03:15:29 roadwarrior kernel: [<c019dcff>] tty_release [kernel]
0xf (0xc4b6ff74)
Feb 18 03:15:29 roadwarrior kernel: [<c0144862>] fput [kernel] 0x102
(0xc4b6ff7c)
Feb 18 03:15:29 roadwarrior kernel: [<c01432fd>] filp_close [kernel]
0x4d (0xc4b6ff98)
Feb 18 03:15:29 roadwarrior kernel: [<c014337e>] sys_close [kernel]
0x4e (0xc4b6ffb0)
Feb 18 03:15:29 roadwarrior kernel: [<c0109747>] system_call [kernel]
0x33 (0xc4b6ffc0)
Feb 18 03:15:29 roadwarrior kernel: 
Feb 18 03:15:29 roadwarrior kernel: 
Feb 18 03:15:29 roadwarrior kernel: Code: 8b 52 14 83 ea 1c 8b 42 04
8b 5a 08 25 00 00 00 2f 0d 00 00 
Feb 18 03:20:29 roadwarrior syslogd 1.4.1: restart.
Comment 8 Pete Zaitcev 2004-03-09 23:28:02 EST
I am not interested in anything that has anything to do with
alternative (JE) uhci.

Comment #2 is interesting, we can work on it.
Comment 9 Pete Zaitcev 2004-03-09 23:37:58 EST
Let me know if the problem can be reproduced with usb-uhci.
Then we can identify a particular failure scenario which
can be developed.
Comment 10 Kai 'wusel' Siering 2004-03-10 05:28:09 EST
Will set up the machine as asked for in Comment #9 later today.
Comment 11 Pete Zaitcev 2004-03-23 14:41:46 EST
Actually, I figured out how it was possible. I thought that
get_usb_serial(port) can only return NULL if port was NULL,
but it is not so. It also returns NULL if port->tty is NULL.
That's how post_helper dies.

The fix is to do  "serial = port->serial" directly.
Comment 12 Pete Zaitcev 2004-03-23 14:42:39 EST
Created attachment 98797 [details]
Test fix (several bugs)
Comment 13 Pete Zaitcev 2004-04-06 01:50:39 EDT
Please test a kernel from this place:
 ftp://people.redhat.com/zaitcev/us3/
It's RHEL kernel, but should work fine for FC1
Comment 14 Thomas Roessler 2004-04-16 14:25:13 EDT
I can observe the same problem as in #7 with the latest Fedora kernel
(2179) and a Haicom GPS; also a PL-2303 converter. The GPS works fine
with the kernel from #13.  (All experiments with usb-uhci.)
Comment 15 David Lawrence 2004-09-29 16:02:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.